---
updatedAt: 2025-09-14T23:46:02.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Updates existing licensed software by ID

Matching computers are derived from software definitions, therefore they cannot be set with this operation.

```xml Sample Request Body
<licensed_software>
	<general>
		<name>Adobe Creative Suite</name>
		<publisher>Adobe Systems Incorporated</publisher>
		<platform>Mac</platform>
		<send_email_on_violation>true</send_email_on_violation>
		<remove_titles_from_inventory_reports>false</remove_titles_from_inventory_reports>
		<exclude_titles_purchased_from_app_store>false</exclude_titles_purchased_from_app_store>
		<notes>string</notes>
		<site>
			<id>-1</id>
			<name>None</name>
		</site>
	</general>
	<software_definitions>
		<definition>
			<compare_type>like</compare_type>
			<name>string</name>
			<version>14</version>
		</definition>
	</software_definitions>
	<font_definitions>
		<definition>
			<compare_type>like</compare_type>
			<name>string</name>
			<version>14</version>
		</definition>
	</font_definitions>
	<plugin_definitions>
		<definition>
			<compare_type>like</compare_type>
			<name>string</name>
			<version>14</version>
		</definition>
	</plugin_definitions>
	<licenses>
		<license>
			<serial_number_1>string</serial_number_1>
			<serial_number_2>string</serial_number_2>
			<organization_name>string</organization_name>
			<registered_to>string</registered_to>
			<license_type>Standard</license_type>
			<license_count>500</license_count>
			<notes>string</notes>
			<purchasing>
				<is_perpetual>true</is_perpetual>
				<is_annual>false</is_annual>
				<po_number>string</po_number>
				<vendor>string</vendor>
				<purchase_price>string</purchase_price>
				<purchasing_account>string</purchasing_account>
				<po_date>2017-07-07 18:37:04</po_date>
				<license_expires>2017-07-07 18:37:04</license_expires>
				<life_expectancy>0</life_expectancy>
				<purchasing_contact>string</purchasing_contact>
			</purchasing>
		</license>
	</licenses>
</licensed_software>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/licensedsoftware/id/{id}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "licensedsoftware"
        ],
        "summary": "Updates existing licensed software by ID",
        "description": "Matching computers are derived from software definitions, therefore they cannot be set with this operation.",
        "operationId": "updateLicensedSoftwareById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```